<div *ngIf="latitude && longitude">
    <h3>Your Location:</h3>
    <p>Latitude: {{ latitude }}</p>
    <p>Longitude: {{ longitude }}</p>
  </div>
  <div *ngIf="errorMessage">
    <p>Error: {{ errorMessage }}</p>
  </div>
  